interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 55165 characters]
    headers:
      CF-RAY: [2d0980066c7c0651-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36991']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:12 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d41d36f5f3e83a3ca873270759c7861b11470895570; expires=Fri,
          11-Aug-17 06:06:10 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=mRMR7tE4J4s3eGgqZy;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:11
          GMT; secure', 'loidcreated=2016-08-11T06%3A06%3A11.212Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:11 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=d41d36f5f3e83a3ca873270759c7861b11470895570; expires=Fri,
          11-Aug-17 06:06:10 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=mRMR7tE4J4s3eGgqZy;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:11
          GMT; secure', 'loidcreated=2016-08-11T06%3A06%3A11.212Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:11 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=lMlIZ%2BvS6FV%2Fy03uPnRGON%2FUwQ7wAcr8qJnStrnpIlVBOPG5%2FcQEqb0aYNMHDiC6BWiF8zmBPww%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********&grant_type=refresh_token
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [loid=mRMR7tE4J4s3eGgqZy; __cfduid=d41d36f5f3e83a3ca873270759c7861b11470895570;
          loidcreated=2016-08-11T06%3A06%3A11.212Z]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMOwoCQRAFr9JMbCAqBp5AUEQNXI2G+Ty0ld1ZutvFRby7jEYPiqr3diElqHor
        D3RuRS7Mmv0My7Vvto/zqblcdptbXMjheE9uQu7neRt7VDkiCKTyjIETPOeKd6VDhXj1LFDP9Xm+
        nE4n5DSVf4vMRjdWKzISZ3TGNlI76jMKcmZT6oWHYGihGq5QEoRMgr6IkYYBpM/YstXRJBxBQzG4
        zxdKXd3f1gAAAA==
    headers:
      CF-RAY: [2d0980108d060651-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:12 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIANYVrFcC/31V23LbQAj9lY6fO53EcZukP8OgFZIZrXbVvdhxMvn3wlqKVnXSNxtYOBwO6G3H
        EWicrL8Q7X5/69BG+v5td8QII7KtTA5HjdgZPrHlV0zsHUxHfCV42InfBMJErYTcH/Y/9w/3vw53
        P+40F7cEXfAjBN/4FKucUjzmOJFry8PFPKeCnMyS7m7/tKRTaL79F55lN8CAYUQx7vfPmt1BQ0n/
        fyT240gufcQ9HsTYSbEcSHG9yRtJRMAj9gRToBPTOYL1fS94fE4SlELWXIF6jomC0CdIoLP+DImi
        RrztThgYnf6Wmi4Fb2GvJNHLRIELBtaO9w/vBfuJ4IiTEMGuB+fPaxlsI4WTlAk0+ZDEv/r+C5bd
        GkhjQ629gMHQLoFf4bz/DOfhueCkHs0FImEwR83TrSVG37AlOFMDCUNPW6TSBWA2qpna+EphgNZL
        xwlSQDOszpjYDIL4OjEdzuzIUx9QFGW8H7hMbVMjeWGqy05Rzw4f0PUUSP2qdhlX9YzHPgfouZOM
        ToiOG4xCBDpBSKctCsozAJi8ZXNZPZ0PRqaZ0lSFz+w42RoZdYPOUVi9kx9o9K73CiFRmcdmNjE3
        Ar/l9OlsHnU2n7Moim28kAFGQA7FuVVQkU6W/Rf2VrOj8ywj2SGD5njbZjQiFnvDS+lbJtByIFNt
        i4QTOdXdzZMJcyTY1O/LQsQUQWa9CVZk102AllEw1hzj3P+mxQ/uIGRb6yUJh8LP7ZQiJVVv5bhI
        XG7EYwJO9eRQJH3ipDsRTixzPwdOeiYX/6JJepG5VpqcfExQ1rIKlsCr3mAUAhFW6DOkOnFjvRmW
        i/MVHDmkSwEViddDcv+0PpAD3Htb314u17U26J+d/ePQq/o0XLqZOJQvgPhctlbjXONfRMC5SHa5
        1FKQO5ZzVNauSlvymGt7yrQ+uH4LdAGrCvNXQKu8/wUqtT8UrwYAAA==
    headers:
      CF-RAY: [2d09801dfe801e71-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['724']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:14 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d62c840d1648cad8ec6f37d9bd901deeb1470895574; expires=Fri,
          11-Aug-17 06:06:14 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=OGwjs3nrH3d78OS0rC;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:14
          GMT; secure', 'loidcreated=2016-08-11T06%3A06%3A14.749Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:14 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['__cfduid=d62c840d1648cad8ec6f37d9bd901deeb1470895574; expires=Fri,
          11-Aug-17 06:06:14 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=OGwjs3nrH3d78OS0rC;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:14
          GMT; secure', 'loidcreated=2016-08-11T06%3A06%3A14.749Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:06:14 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['592.0']
      x-ratelimit-reset: ['226']
      x-ratelimit-used: ['8']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [loid=OGwjs3nrH3d78OS0rC; __cfduid=d62c840d1648cad8ec6f37d9bd901deeb1470895574;
          loidcreated=2016-08-11T06%3A06%3A14.749Z]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 114410 characters]
        AA==
    headers:
      CF-RAY: [2d0980298edb1e71-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['76723']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:17 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['591.0']
      x-ratelimit-reset: ['224']
      x-ratelimit-used: ['9']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=PiLC3rn8to7zMkQIK8xcAAD8BIgH9tjt7UJQ4iJLO7EYrqWtGBT7vor%2B%2BvsXCpJ0vDMjdcAGWPKE15GGSXGrQu5Y2tXWDOk0']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [loid=OGwjs3nrH3d78OS0rC; __cfduid=d62c840d1648cad8ec6f37d9bd901deeb1470895574;
          loidcreated=2016-08-11T06%3A06%3A14.749Z]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 55165 characters]
        qAMA
    headers:
      CF-RAY: [2d0980360f491e71-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36996']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:19 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['590.0']
      x-ratelimit-reset: ['222']
      x-ratelimit-used: ['10']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=vQxwNPrG1T9nExHJhWLvvwEKCqdZYmJVG1Vct9COEciwFegEKghQmmZ4%2Be%2B1tztFrwzIZNXpdOX6f4LN5miZwXR9ayRnNsPw']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [loid=OGwjs3nrH3d78OS0rC; __cfduid=d62c840d1648cad8ec6f37d9bd901deeb1470895574;
          loidcreated=2016-08-11T06%3A06%3A14.749Z]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/Python/comments/2xmo63/.json
  response:
    body:
      string: !!binary |
[encoded data, 11475 characters]
        x+4Pep2haVeXjN2tb3/7P5eaOjZI1QAA
    headers:
      CF-RAY: [2d0980428fb81e71-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7719']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:06:21 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['589.0']
      x-ratelimit-reset: ['220']
      x-ratelimit-used: ['11']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=X9U%2Fc0np5eyO5MIUjQ5szEZ959a5BV0i3RLqUkkzXZriHSbOs6AGZndjtMYoKzAajTK8P0TPHtLyI6zNyQSfG%2F3vg7gOFqn0']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
